#
# spec file for package python3-jsonschema
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-jsonschema
Version:        2.5.1
Release:        2.2
Summary:        An implementation of JSON-Schema validation for Python
License:        MIT
Group:          Development/Languages/Python
Url:            http://github.com/Julian/jsonschema
Source:         http://pypi.python.org/packages/source/j/jsonschema/jsonschema-%{version}.tar.gz
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-vcversioner
# Test build requirements
BuildRequires:  python3-mock
Requires:       python3
Requires(post):   update-alternatives
Requires(postun): update-alternatives
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
jsonschema is an implementation of JSON Schema (currently in Draft 3)
for Python (supporting 2.6+ including Python 3).

%prep
%setup -q -n jsonschema-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

# Prepare for update-alternatives usage
mkdir -p %{buildroot}%{_sysconfdir}/alternatives
mv %{buildroot}%{_bindir}/jsonschema %{buildroot}%{_bindir}/jsonschema-%{py3_ver}
ln -s -f %{_sysconfdir}/alternatives/jsonschema %{buildroot}%{_bindir}/jsonschema
# create a dummy target for /etc/alternatives/jsonschema
touch %{buildroot}%{_sysconfdir}/alternatives/jsonschema

# Currently fails on Python 3.x
# %check
# python3 -m unittest jsonschema.tests.test_jsonschema_test_suite

%post
%_sbindir/update-alternatives \
   --install %{_bindir}/jsonschema jsonschema %{_bindir}/jsonschema-%{py3_ver} 30

%preun
if [ $1 -eq 0 ] ; then
    %_sbindir/update-alternatives --remove jsonschema %{_bindir}/jsonschema-%{py3_ver}
fi

%files
%defattr(-,root,root,-)
%doc COPYING README.rst
%{_bindir}/jsonschema
%{_bindir}/jsonschema-%{py3_ver}
%ghost %{_sysconfdir}/alternatives/jsonschema
%{python3_sitelib}/*

%changelog
* Thu Aug 13 2015 toddrme2178@gmail.com
- Implement update-alternatives
* Mon Jun 15 2015 arun@gmx.de
- update to version 2.5.1:
  (no changelog available)
* Fri Jun  5 2015 arun@gmx.de
- specfile:
  * add python3-vcversioner
- update to version 2.5.0:
  * Improved performance on CPython by adding caching around ref
    resolution (#203)
* Wed Jan  7 2015 jmatejek@suse.com
- drop test requirements and %%check section, which is broken
- make a symlink out of /usr/bin/jsonschema
* Mon Jan  5 2015 arun@gmx.de
- specfile:
  * update copyright year
  * added setuptools as a requirement
  * add /usr/bin/jsonschema (should this be done using update-alternatives?)
- update to version 2.4.0:
  * Added a CLI (#134)
  * Added absolute path and absolute schema path to errors (#120)
  * Added relevance
  * Meta-schemas are now loaded via pkgutil
* Mon Apr 28 2014 andrea@opensuse.org
- Update to version 2.3.0:
  * Added by_relevance and best_match (#91)
  * Fixed ``format`` to allow adding formats for non-strings (#125)
  * Fixed the ``uri`` format to reject URI references (#131)
  * Compile the host name regex (#127)
  * Allow arbitrary objects to be types (#129)
  * Support RFC 3339 datetimes in conformance with the spec
  * Fixed error paths for additionalItems + items (#122)
  * Fixed wording for min / maxProperties (#117)
* Sat Apr 13 2013 toddrme2178@gmail.com
- Remove pre_checkin.sh since the two packages are not the same
* Fri Apr 12 2013 toddrme2178@gmail.com
- Added requires and buildrequires python3.  It will not work
  properly without them on openSUSE < 12.3
* Mon Feb 25 2013 p.drouand@gmail.com
- Add python3 support
  Tests with python3 fails for instance
* Mon Feb 25 2013 p.drouand@gmail.com
- Update to version 1.0.0:
  + Support for Draft 4
  + Support for format
  + Longs are ints too!
  + Fixed a number of issues with ``$ref`` support (#66)
  + Draft4Validator is now the default
  + ``ValidationError.path`` is now in sequential order
  + Added ``ValidatorMixin``
* Thu Nov 22 2012 saschpe@suse.de
- Update to version 0.7:
  + Partial support for (JSON Pointer) $ref
  + Deprecations
  + Validator is replaced by Draft3Validator with a slightly different
    interface
  + validator(meta_validate=False)
- Changes from version 0.6:
  + Issue #30 - Wrong behavior for the dependencies property validation
  + Fix a miswritten test
* Fri Jul 27 2012 saschpe@suse.de
- Add BuildRequires: python-unittest2 for SLE-11-SP2
* Thu Jul 26 2012 saschpe@suse.de
- Initial version
